//: Playground - noun: a place where people can play

import Cocoa

enum TravelStatus
{
    case OnTime
    case Canceled
    case Late(minutes:Int)
    case Unknown
}

// Zuweisung des Status Late mit einem
// begleitenden Wert (Associated Value)
var trainStatus = TravelStatus.Late(minutes: 45)

// Variable in einem übergeordneten 
// Gültigkeitsbereich
var minutes:Int?

switch trainStatus
{
case .OnTime:
        print("Der Zug ist pünktlich")
case .Canceled:
    print("Der Zug fällt aus")
case .Late (var minutesLate):
    print("Der Zug verspätet sich um \(minutesLate) Minuten")
    minutes = minutesLate
default:
    break
}




